Module javafx.graphics
Package javafx.scene.input

## Enum ScrollEvent.VerticalTextScrollUnits

- java.lang.Object
- - java.lang.Enum<ScrollEvent.VerticalTextScrollUnits>
  - - javafx.scene.input.ScrollEvent.VerticalTextScrollUnits

- All Implemented Interfaces:
    `Serializable`, `Comparable<ScrollEvent.VerticalTextScrollUnits>`, `Constable`
  Enclosing class:
    ScrollEvent

      public static enum ScrollEvent.VerticalTextScrollUnits
      extends Enum<ScrollEvent.VerticalTextScrollUnits>

  Vertical text-based scrolling units.
  Since:
    JavaFX 2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.lang.Enum

      `Enum.EnumDesc<E extends Enum<E>>`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `LINES` | The vertical text-based scrolling amount is a number of lines to scroll.
    `NONE` | The vertical text-based scrolling data is not available (not provided by the underlying platform).
    `PAGES` | The vertical text-based scrolling amount is a number of pages to scroll.

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `static ScrollEvent.VerticalTextScrollUnits` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static ScrollEvent.VerticalTextScrollUnits[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final ScrollEvent.VerticalTextScrollUnits NONE

      The vertical text-based scrolling data is not available (not provided by the underlying platform).

    - #### LINES

          public static final ScrollEvent.VerticalTextScrollUnits LINES

      The vertical text-based scrolling amount is a number of lines to scroll.

    - #### PAGES

          public static final ScrollEvent.VerticalTextScrollUnits PAGES

      The vertical text-based scrolling amount is a number of pages to scroll.

  - ### Method Detail

    - #### values

          public static ScrollEvent.VerticalTextScrollUnits[] values()

      Returns an array containing the constants of this enum type, in the order they are declared.
      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ScrollEvent.VerticalTextScrollUnits valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null